Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLDataReader Class Reference

`#include <vtkXMLDataReader.h>`

Inheritance diagram for vtkXMLDataReader:

[legend]
Collaboration diagram for vtkXMLDataReader:

[legend]
List of all members.

## Detailed Description

Superclass for VTK XML file readers.

Date:
  2002/10/16 18:23:06

Revision:
  1.1

vtkXMLDataReader provides functionality common to all VTK XML file readers. Concrete subclasses call upon this functionality when needed.

See also:
  vtkXMLPDataReader

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkXMLDataReader.h)`
  - .`cxx` (`/IO/vtkXMLDataReader.cxx)`

Definition at line 45 of file vtkXMLDataReader.h.

## Public Types
typedef vtkXMLReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual vtkIdType | GetNumberOfPoints ()=0
virtual vtkIdType | GetNumberOfCells ()=0
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLDataReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkXMLDataReader ()
| ~vtkXMLDataReader ()
int | ReadPrimaryElement (vtkXMLDataElement *ePrimary)
void | SetupOutputInformation ()
void | SetupOutputData ()
virtual void | SetupPieces (int numPieces)
virtual void | DestroyPieces ()
int | ReadPiece (vtkXMLDataElement *ePiece, int piece)
virtual int | ReadPiece (vtkXMLDataElement *ePiece)
int | ReadPieceData (int piece)
virtual int | ReadPieceData ()
virtual int | ReadArrayForPoints (vtkXMLDataElement *da, vtkDataArray *outArray)
virtual int | ReadArrayForCells (vtkXMLDataElement *da, vtkDataArray *outArray)
int | ReadData (vtkXMLDataElement *da, void *data, int wordType, int startWord, int numWords)
## Protected Attributes
int | NumberOfPieces
vtkXMLDataElement ** | PointDataElements
vtkXMLDataElement ** | CellDataElements
int | Piece

## Member Typedef Documentation

typedef vtkXMLReader vtkXMLDataReader::Superclass

| Reimplemented from vtkXMLReader. Reimplemented in vtkXMLImageDataReader, vtkXMLPolyDataReader, vtkXMLRectilinearGridReader, vtkXMLStructuredDataReader, vtkXMLStructuredGridReader, vtkXMLUnstructuredDataReader, and vtkXMLUnstructuredGridReader. Definition at line 48 of file vtkXMLDataReader.h.

## Constructor & Destructor Documentation

vtkXMLDataReader::vtkXMLDataReader | ( |  | ) | `[protected]`

vtkXMLDataReader::~vtkXMLDataReader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLDataReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLReader. Reimplemented in vtkXMLImageDataReader, vtkXMLPolyDataReader, vtkXMLRectilinearGridReader, vtkXMLStructuredDataReader, vtkXMLStructuredGridReader, vtkXMLUnstructuredDataReader, and vtkXMLUnstructuredGridReader.

int vtkXMLDataReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLReader. Reimplemented in vtkXMLImageDataReader, vtkXMLPolyDataReader, vtkXMLRectilinearGridReader, vtkXMLStructuredDataReader, vtkXMLStructuredGridReader, vtkXMLUnstructuredDataReader, and vtkXMLUnstructuredGridReader.

virtual int vtkXMLDataReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLReader. Reimplemented in vtkXMLImageDataReader, vtkXMLPolyDataReader, vtkXMLRectilinearGridReader, vtkXMLStructuredDataReader, vtkXMLStructuredGridReader, vtkXMLUnstructuredDataReader, and vtkXMLUnstructuredGridReader.

vtkXMLDataReader* vtkXMLDataReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLReader. Reimplemented in vtkXMLImageDataReader, vtkXMLPolyDataReader, vtkXMLRectilinearGridReader, vtkXMLStructuredDataReader, vtkXMLStructuredGridReader, vtkXMLUnstructuredDataReader, and vtkXMLUnstructuredGridReader.

void vtkXMLDataReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLReader. Reimplemented in vtkXMLImageDataReader, vtkXMLPolyDataReader, vtkXMLRectilinearGridReader, vtkXMLStructuredDataReader, vtkXMLStructuredGridReader, vtkXMLUnstructuredDataReader, and vtkXMLUnstructuredGridReader.

virtual vtkIdType vtkXMLDataReader::GetNumberOfPoints | ( |  | ) | `[pure virtual]`

| Get the number of points in the output. Implemented in vtkXMLStructuredDataReader, and vtkXMLUnstructuredDataReader.

virtual vtkIdType vtkXMLDataReader::GetNumberOfCells | ( |  | ) | `[pure virtual]`

| Get the number of cells in the output. Implemented in vtkXMLStructuredDataReader, and vtkXMLUnstructuredDataReader.

int vtkXMLDataReader::ReadPrimaryElement | ( | vtkXMLDataElement * | ePrimary | ) | `[protected, virtual]`

| Reimplemented from vtkXMLReader. Reimplemented in vtkXMLImageDataReader, and vtkXMLStructuredDataReader.

void vtkXMLDataReader::SetupOutputInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLReader. Reimplemented in vtkXMLImageDataReader, vtkXMLRectilinearGridReader, vtkXMLStructuredGridReader, and vtkXMLUnstructuredDataReader.

void vtkXMLDataReader::SetupOutputData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLReader. Reimplemented in vtkXMLPolyDataReader, vtkXMLRectilinearGridReader, vtkXMLStructuredGridReader, vtkXMLUnstructuredDataReader, and vtkXMLUnstructuredGridReader.

virtual void vtkXMLDataReader::SetupPieces | ( | int | numPieces | ) | `[protected, virtual]`

| Reimplemented in vtkXMLPolyDataReader, vtkXMLRectilinearGridReader, vtkXMLStructuredDataReader, vtkXMLStructuredGridReader, vtkXMLUnstructuredDataReader, and vtkXMLUnstructuredGridReader.

virtual void vtkXMLDataReader::DestroyPieces | ( |  | ) | `[protected, virtual]`

| Reimplemented in vtkXMLPolyDataReader, vtkXMLRectilinearGridReader, vtkXMLStructuredDataReader, vtkXMLStructuredGridReader, vtkXMLUnstructuredDataReader, and vtkXMLUnstructuredGridReader.

int vtkXMLDataReader::ReadPiece | ( | vtkXMLDataElement * | ePiece,
|  | int | piece
| ) | `[protected]`

virtual int vtkXMLDataReader::ReadPiece | ( | vtkXMLDataElement * | ePiece | ) | `[protected, virtual]`

| Reimplemented in vtkXMLPolyDataReader, vtkXMLRectilinearGridReader, vtkXMLStructuredDataReader, vtkXMLStructuredGridReader, vtkXMLUnstructuredDataReader, and vtkXMLUnstructuredGridReader.

int vtkXMLDataReader::ReadPieceData | ( | int | piece | ) | `[protected]`

virtual int vtkXMLDataReader::ReadPieceData | ( |  | ) | `[protected, virtual]`

| Reimplemented in vtkXMLPolyDataReader, vtkXMLRectilinearGridReader, vtkXMLStructuredGridReader, vtkXMLUnstructuredDataReader, and vtkXMLUnstructuredGridReader.

virtual int vtkXMLDataReader::ReadArrayForPoints | ( | vtkXMLDataElement * | da,
|  | vtkDataArray * | outArray
| ) | `[protected, virtual]`

| Reimplemented in vtkXMLStructuredDataReader, and vtkXMLUnstructuredDataReader.

virtual int vtkXMLDataReader::ReadArrayForCells | ( | vtkXMLDataElement * | da,
|  | vtkDataArray * | outArray
| ) | `[protected, virtual]`

| Reimplemented in vtkXMLPolyDataReader, vtkXMLStructuredDataReader, and vtkXMLUnstructuredGridReader.

int vtkXMLDataReader::ReadData | ( | vtkXMLDataElement * | da,
|  | void * | data,
|  | int | wordType,
|  | int | startWord,
|  | int | numWords
| ) | `[protected]`

## Member Data Documentation

int vtkXMLDataReader::NumberOfPieces`[protected]`

| Definition at line 89 of file vtkXMLDataReader.h.

vtkXMLDataElement** vtkXMLDataReader::PointDataElements`[protected]`

| Definition at line 92 of file vtkXMLDataReader.h.

vtkXMLDataElement** vtkXMLDataReader::CellDataElements`[protected]`

| Definition at line 93 of file vtkXMLDataReader.h.

int vtkXMLDataReader::Piece`[protected]`

| Definition at line 96 of file vtkXMLDataReader.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLDataReader.h